<?php
/*
Plugin Name: Aura Popup 2016
Plugin URI: http://www.auranet.com.br/plugins/aura-popup/
Description: Este plugin cria uma pop-up mostrada em uma div que é carregada ao abrir a página inicial do site. Você define uma página criada com as imagens que serão carregadas.
Version: 2.0.16
Author: Auranet Informatica
Author URI: http://www.auranet.com.br
Text Domain: aurapopup
Domain Path: /languages
*/
// Localization
add_action('init', 'aura_lang_init');
function aura_lang_init() {
    $path = dirname(plugin_basename( __FILE__ )) . '/languages/';
    $loaded = load_plugin_textdomain( 'aurapopup', false, $path);
    if ($_GET['page'] == basename(__FILE__) && !$loaded) {          
        echo '<div class="error">Idioma: ' . __('Não é possível localizar o arquivo: ' . $path, 'aurapopup') . '</div>';
        return;
    } 
} 

add_action('admin_init', 'aura_reg_function' );
add_action('wp_head', 'aura_popup_head');
add_action('admin_menu', 'aura_popup_menu');
function aura_popup_menu() {
	$page =	add_options_page('Aura Pop-up', 'Aura Pop-up', 'manage_options', 'aura_popup_menu', 'aura_popup_options_page') ;
}
function aura_reg_function() {
	register_setting( 'aura-settings-group', 'aura_popup_backcolor' );
	register_setting( 'aura-settings-group', 'aura_popup_pageid' );
	register_setting( 'aura-settings-group', 'aura_popup_effect' );
	register_setting( 'aura-settings-group', 'aura_popup_speed' );
	register_setting( 'aura-settings-group', 'aura_popup_opacity' );
	register_setting( 'aura-settings-group', 'aura_popup_expire' ); 
	register_setting( 'aura-settings-group', 'aura_popup_borderimage' );
	register_setting( 'aura-settings-group', 'aura_popup_img_width' );
	register_setting( 'aura-settings-group', 'aura_popup_bordercolor' );
}

function expire_date(){
	global $expira; 
	$exp = explode('/', get_option('aura_popup_expire'));	
	return $exp[2].'-'.$exp[1].'-'.$exp[0];
}
if (!is_admin()) {
	function de_script() {
	   wp_dequeue_script( 'jquery' );
	   wp_deregister_script( 'jquery' );
	   wp_register_script('jquery', "//ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js", false, null);
	   wp_enqueue_script('jquery');
	}
	add_action('wp_print_scripts', 'de_script', 100 );
}
function aura_popup_footer() {?>
<style type="text/css">
#boxes{position:fixed !important;left:20%;top:20%;z-index:2147483647;padding:10px;}#boxes img{border:#<? echo get_option('aura_popup_bordercolor')?> solid <? echo get_option('aura_popup_borderimage')?>px;}
.slideshow a:link {width:<?=is_numeric(get_option('aura_popup_img_width'))?get_option('aura_popup_img_width'):'600'?>px; bottom: 25px; cursor: pointer;float: right;right: 60px;position: relative;} div #mask{background:#<? echo get_option('aura_popup_backcolor')?>;	z-index:9999;position: fixed;display:none;	height:100%;width:100%;top:0px; left:0px;}
</style>
<? }
add_action('wp_footer', 'aura_popup_footer');
function aura_popup_head(){
	if (is_front_page() and get_option('aura_popup_pageid') > 0 and expire_date() > date('Y-m-d')){
?>	
<script type="text/javascript" src="<?=plugins_url('js/jquery.cycle2.min.js', __FILE__ )?>"></script>
<script type="text/javascript" src="<?=plugins_url('js/jquery.cycle2.'.get_option('aura_popup_effect').'.min.js', __FILE__ )?>"></script>
<script>$.fn.cycle.defaults.autoSelector = '.slideshow';</script>
<script type="text/javascript">
jQuery(document).ready(function() {
		var maskHeight = $(window).height();
		var maskWidth = $(window).width();
		var winH = $(window).height();
		var winW = $(window).width();
		$('#mask').css({'width':maskWidth,'height':maskHeight});
		$('#mask').fadeIn(1000);	
		$('#mask').fadeTo("slow",0.<? echo get_option('aura_popup_opacity')?>);
		$('#dialog').css('top',  winH/-$('#dialog').height()/2);
		$('#dialog').css('left', winW/-$('#dialog').width()/2);
		$('#dialog').fadeIn(2000); 
	$('.window .fechar').click(function (e) {
		e.preventDefault();
		$('#mask').hide();
		$('.window').hide();
	});		
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});		
	    $('#mask').fadeIn(200);
});

</script>
<? }}?>
<?
function aura_popup_options_page(){
?>
<script type="text/javascript" src="<?=plugins_url('jscolor/jscolor.js', __FILE__ )?>"></script>
<form method="post" action="options.php">
    <?php settings_fields( 'aura-settings-group' ); ?>
<div class="wrap">
<div id="icon-tools" class="icon32"><br /></div><h2>Aura Pop-up - <?=_e( 'Configurações', 'aurapopup');?></h2>
 <table width="605" class="form-table" style="max-width:450px">
  <tr valign="top">
    <td scope="row"><?=_e( 'Página com as imagens', 'aurapopup');?></td>
    <td align="left"><select name="aura_popup_pageid">
      <option value="0"><?=_e( 'Desativada','aurapopup');?></option>
      <?php query_posts( 'post_type=page&order=DESC&posts_per_page=50' );
	 if( have_posts() ) : while( have_posts() ) : the_post();  $pageid = get_the_id();?>
      <option value="<?=$pageid?>"<?=selected( get_option('aura_popup_pageid'), $pageid); ?>>
        <?=the_title(); ?>
        </option>
      <?php endwhile; endif;
	 wp_reset_query();
					?>
    </select></td>

  </tr>
<tr valign="top">
  <td width="152" scope="row"><div align="left"><?=_e( 'Cor do Fundo', 'aurapopup');?></div></td>
  <td width="441" align="left"><input type="text" class="color" name="aura_popup_backcolor" value="<? echo get_option('aura_popup_backcolor')?>"  />
    <?=_e( 'Clique para selecionar a cor', 'aurapopup');?></td>
</tr>

<tr valign="top">
  <td scope="row"><?=_e( 'Borda das imagens', 'aurapopup');?></td>
  <td align="left"><input type="text" class="color" name="aura_popup_bordercolor" value="<? echo get_option('aura_popup_bordercolor')?>"  />
    Largura
      <select name="aura_popup_borderimage">
        <option value="1"<?=selected( get_option('aura_popup_borderimage'), '1'); ?>>1 px</option>
        <option value="2"<?=selected( get_option('aura_popup_borderimage'), '2'); ?>>2 px</option>
        <option value="3"<?=selected( get_option('aura_popup_borderimage'), '3'); ?>>3 px</option>
        <option value="5"<?=selected( get_option('aura_popup_borderimage'), '5'); ?>>5 px</option>
        <option value="7"<?=selected( get_option('aura_popup_borderimage'), '7'); ?>>7 px</option>
        <option value="10"<?=selected( get_option('aura_popup_borderimage'), '10'); ?>>10 px</option>
        <option value="15"<?=selected( get_option('aura_popup_borderimage'), '15'); ?>>15 px</option>
      </select></td>
</tr>
<tr valign="top">
  <td scope="row"><?=_e( 'Largura das Imagens', 'aurapopup');?></td>
  <td align="left"><input type="text" name="aura_popup_img_width" value="<? echo get_option('aura_popup_img_width')?>"  />
    px (<?=_e( 'Padrão', 'aurapopup')?> 600px)</td>
</tr>
<tr valign="top">
  <td scope="row"><? echo _e( 'Transparência do fundo', 'aurapopup');?></td>
  <td align="left"><select name="aura_popup_opacity">
    <option value="1"<?=selected( get_option('aura_popup_opacity'), '1'); ?>>90%</option>
    <option value="3"<?=selected( get_option('aura_popup_opacity'), '3'); ?>>70%</option>
    <option value="5"<?=selected( get_option('aura_popup_opacity'), '5'); ?>>50%</option>
    <option value="8"<?=selected( get_option('aura_popup_opacity'), '8'); ?>>30%</option>
    <option value="85"<?=selected( get_option('aura_popup_opacity'), '85'); ?>>25%</option>
    <option value="9"<?=selected( get_option('aura_popup_opacity'), '9'); ?>>10%</option>
  </select></td>
</tr>
<tr valign="top">
  <td scope="row"><?=_e( 'Efeito', 'aurapopup');?></td>
  <td align="left"><select name="aura_popup_effect">
    <option value="carousel">Carrosel</option>
    <option value="flipVert" <?=selected( get_option('aura_popup_effect'), 'flipVert'); ?>><? echo _e( 'Flip Vertical', 'aurapopup');?></option>
    <option value="fade" <?=selected( get_option('aura_popup_effect'), 'fade'); ?>><? echo _e( 'Fade', 'aurapopup');?></option>
    <option value="scrollVert" <?=selected( get_option('aura_popup_effect'), 'scrollVert'); ?>><? echo _e( 'Rolar Vertical', 'aurapopup');?></option>
    <option value="shuffle" <?=selected( get_option('aura_popup_effect'), 'shuffle'); ?>><? echo _e( 'Embaralhar', 'aurapopup');?></option>
    <option value="tile" <?=selected( get_option('aura_popup_effect'), 'tileSlide'); ?>><? echo _e( 'Azulejos', 'aurapopup');?></option>
    </select>
    (<?=_e( 'só em mais de uma imagem', 'aurapopup');?>)</td>
</tr>
<tr valign="top">
  <td scope="row"><?=_e( 'Velocidade Transição', 'aurapopup');?></td>
  <td align="left"><select name="aura_popup_speed">
    <option value="1000"<?=selected( get_option('aura_popup_speed'), '1000'); ?>>1 seg</option>
    <option value="3000"<?=selected( get_option('aura_popup_speed'), '3000'); ?>>3 seg</option>
    <option value="5000"<?=selected( get_option('aura_popup_speed'), '5000'); ?>>5 seg</option>
    <option value="8000"<?=selected( get_option('aura_popup_speed'), '8000'); ?>>8 seg</option>
    <option value="10000"<?=selected( get_option('aura_popup_speed'), '10000'); ?>>10 seg</option>
    </select></td>
</tr>
<tr valign="top">
  <td scope="row"><?=_e( 'Expirar', 'aurapopup');?></td>
  <td align="left"><input type="text" name="aura_popup_expire" value="<? echo get_option('aura_popup_expire')?>"  />
    Ex.: 13/01/2013</td>
</tr>
<tr valign="top">
  <td scope="row">&nbsp;</td>
  <td align="left"><?=_e( 'As popups serão desativadas automaticamente quando alcançarem uma data igual ou superior a data escolhida.', 'aurapopup');?></td>
</tr>
 </table>

    <p class="submit">
    <input type="submit" class="button" value="<? echo _e('Salvar Alterações', 'aurapopup'); ?>" />
    </p>
</div>
</form>
<? }
function aura_show_popup($content){
		$page_id = get_option('aura_popup_pageid');
//		$content = get_the_content();
//		define('AUTHOR', 1);
		$page = get_page( $page_id );
		$output = '
		<div id="boxes">
			<div id="dialog" class="window"><span class="fechar"><a href="#"><b>Fechar</b></a></span>
					<div class="slideshow" data-cycle-loader="true" data-cycle-fx="'.get_option('aura_popup_effect').'" data-cycle-timeout="'.get_option('aura_popup_speed').'" data-cycle-slides="img">
							
				'.$page->post_content.'
					</div>	 
			</div>	  

		</div><div id="mask"></div>';

			if (is_front_page() && $page_id > 0 && expire_date() > date('Y-m-d')){
				$content = $content.$output;
				//$content = ereg_replace('(<body\s)*[0-9,a-z-"=>]', '\1<div id="mask"></div>', $content);
			} else $output = ''; 
		return $content;
	wp_reset_query(); 

}
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'aura_ts_add_plugin_action_links' );
function aura_ts_add_plugin_action_links( $links ) {
	return array_merge(
		array(
			'settings' => '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=aura_popup_menu">Configurações</a>',
		),
		$links
	);
}
add_filter( 'the_content', 'aura_show_popup');

